package info.bukova.isspst.ui;

import info.bukova.isspst.data.Building;
import info.bukova.isspst.services.BuildingService;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

public class BuildingList extends ListViewModel<Building> {
	
	@WireVariable
	private BuildingService buildingService;
	
	@Init
	public void init() {
		service = buildingService;
		dataClass = Building.class;
		formZul = "buildingForm.zul";
	}

}
